from machine import Pin,I2C
import _thread
import time
from ssd1306 import SSD1306_I2C
i2c = I2C(scl=Pin(22),sda=Pin(21),freq=100000)

oled = SSD1306_I2C(128,64,i2c)
oled.fill(0)
oled.text("station one",0,0)
oled.text("from esp 32",0,10)
oled.show()
inp = Pin(13,Pin.IN)
led = Pin(2,Pin.OUT)
while(1):
    print(inp.value())
    if(inp.value()==1):
        led.value(1)
        oled.fill(0)
        oled.text("station one",0,0)
        oled.text("blink",0,10)
        oled.show()
    else:
        led.value(0)
        oled.fill(0)
        oled.text("station one",0,0)
        oled.text("no blink",0,10)
        oled.show()
    time.sleep(0.5)